% f1=sin(c)
% f2=x.^2
% f3=cos(x)

x=0:0.1:2*pi;
h=0.001;

Df_1=(sin(x+h)-sin(x))./h;
Df_2=((x+h).^2-x.^2)./h;
Df_3=(cos(x+h)-cos(x))./h;

plot(x,Df_1)
hold on
plot(x,Df_2)
plot(x,Df_3)
hold off

legend('sin(x)','x^2','cos(x)')