% % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
% for_hoelder_mittel.m berechnet das Hoelder-Mittel der
% Stufe k der Zahlen 1 bis n. Das Hoelder-Mittel der Stufe k
% der Zahlen x_1 bis x_n ist wie folgt definiert:
% Hoelder-Mittel = ((1/n)*sum_{i = 1}^{n} x_i^k)^(1/k)
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % %

% Waehle die Zahl n
n = 3;
% Waehle die Stufe k
k = 2;

% Initialisiere summe
summe = 0;
% Berechne die Summe der Potenzen l^k fuer l = 1:n
for l = magic(n)
    %summe = summe + l.^k;
    l
end
% Definiere das Hoelder Mittel
hoelder = ((1/n).*summe)^(1/k)