% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% Dieses Programm zerlegt die Matrix A in seine Diagonalmatrix D, 
% die obere Dreiecksmatrix R und die untere Dreiecksmatrix L.
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 

% Diese Zeile definiert die Matrix A.
A=[8 7 3;2 5 1;5 2 -2];

% Anschlieend wird die Diagonale von A ausgelesen und in die 
% Diagonalmatrix D gespeichert.

d=diag(A);
D=diag(d);

% Die untere Dreiecksmatrix wird in L gespeichert, die obere
% Dreiecksmatrix in R

L=tril(A);
R=triu(A);

[n,m]=size(A);

% Anschlieend werden die Matrizen und deren Gre im Command Window ausgegeben.

disp('Die untere Dreiecksmatrix L ist')
disp(L)
disp('Die Diagonalmatrix D ist')
disp(D)
disp('Die obere Dreiecksmatrix R ist')
disp(R)
disp(['A hat die Dimension ' num2str(n) 'x' num2str(m)])


