% Programm, welches fuer gegebene Werte x eine Funktion f aufruft und dann
% mit Hilfe der Funktion K4_numAbleitung.m die Ableitungen von K4_f in diesem x
% bestimmt

% Definition von f als anonyme Funktion

f=@(x) cos(x);

% Festlegung der Werte x aus dem Intervall [0,2pi]

h=0.02;
x = 0:h:2*pi;
% Berechne f(x) mit der Funktion K4_f.m:
% y = K4_f(x);funct
% Berechne die Ableitung von f auf dem Intervall [0,2*pi]
% D.h. Dy ist ein Vektor der gleichen Lnge wie x
Dy = K4_numAbleitung(f,x,h);

% Plotten von Dy
plot(x,Dy)